Resource Center/Hardware/Host Operations/PCI Device Operations
PUTPCI Device OperationsSince 2.1SynchronousAuth Required
UpdatePciDevice
UpdatePciDevice
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatepcideviceObjectRequiredupdatepcidevice request body object.
stateStringOptional. The state.
descriptionStringOptional. The detailed description of the resource.
metaDataStringOptional. The metadata.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/pci-device/pci-devices/{uuid}/actions
/zstack/v1/pci-device/pci-devices/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/pci-device/pci-devices/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatepcidevice":{"state":"<state>","description":"<description>","metaData":"<metaData>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "description": "test pci", "hostUuid": "47c749c4520c3c5ba2ddcb6bf725cc40", "vmInstanceUuid": "8452e9231dd339158054902001b453d0", "status": "Active", "state": "Disabled", "type": "GPU_Video_Controller", "vendorId": "10de", "deviceId": "0e0f", "subvendorId": "10de", "subdeviceId": "118b", "metaData": { "metaData": "render:Equal:true;anime:Equal:true", "metaDataEntries": [ { "key": "render", "op": "Equal", "value": "true" }, { "key": "anime", "op": "Equal", "value": "true" } ] }, "pciDeviceAddress": "0000:06:00.1" } }Change History
This API has no change history records yet.
